%define mod_encoding_name mod_encoding
%define mod_encoding_version 20021209

Summary:                Library for mod_encoding
Name:                   iconv_hook
Version:                1.0.0
Release:                1
License:		Apache Software License
Group:                  System Environment/Daemons
Packager:               oyaji <oyaji@mail.aconus.com>
Source:                 %{mod_encoding_name}-%{mod_encoding_version}.tar.gz
Source1:                iconv_hook.conf
URL:                    http://www.aconus.com/~oyaji/
BuildRoot:              %{_builddir}/%{name}-%{version}
Obsoletes:              httpd

%description
Iconv_hook is a library to offer a Japanese environment with WebDAV.

%prep
  rm -rf $RPM_BUILD_ROOT

%setup -c -n %{name}-%{version}

%build
  cd $RPM_BUILD_ROOT/%{mod_encoding_name}-%{mod_encoding_version}/lib
  ./configure
  make

%install
  mkdir -p $RPM_BUILD_ROOT/etc/ld.so.conf.d
  install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/ld.so.conf.d/
  mkdir -p $RPM_BUILD_ROOT/usr/local/lib
  mkdir -p $RPM_BUILD_ROOT/usr/local/include
  cd $RPM_BUILD_ROOT/%{mod_encoding_name}-%{mod_encoding_version}/lib
  make prefix=$RPM_BUILD_ROOT/usr/local install

%post
  ldconfig

%postun
  ldconfig

%clean
  rm -rf $RPM_BUILD_ROOT
  rm -rf %{_builddir}/%{name}-%{version}

%files
%defattr(-,root,root)
/usr/local/lib/*
/usr/local/include/iconv_hook/*
%config(noreplace) /etc/ld.so.conf.d/iconv_hook.conf

%changelog
* Fri May 19 2006 oyaji <oyaji@mail.aconus.com>
- 1.0.0-1 releas.

