%define mod_encoding_version 20021209

Summary:                Module for Apache HTTP Server
Name:                   mod_encoding
Version:                2.2.0
Release:                1
License:				Apache Software License
Group:                  System Environment/Daemons
Packager:               oyaji <oyaji@mail.aconus.com>
Source:                 %{name}-%{mod_encoding_version}.tar.gz
Source1:                mod_encoding.c.apache2.20040616
Source2:                mod_encoding.conf
Patch:                  mod_encoding.c-20060520.patch
URL:                    http://www.aconus.com/~oyaji/
BuildRoot:              %{_builddir}/%{name}-%{version}
BuildRequires:          httpd-devel, iconv_hook
Obsoletes:              httpd

%description
Mod_encoding is a module to offer a Japanese environment with WebDAV.

%prep
  rm -rf $RPM_BUILD_ROOT

%setup -c -n %{name}-%{version}
  cp -f %{SOURCE1} $RPM_BUILD_ROOT/%{name}-%{mod_encoding_version}/mod_encoding.c
%patch -p0

%build
  cd $RPM_BUILD_ROOT/%{name}-%{mod_encoding_version}
  ./configure --prefix=/usr --with-apxs=/usr/sbin/apxs \
    --with-iconv-hook=/usr/local/include
  make
  gcc -shared -o mod_encoding.so mod_encoding.o \
    -Wc,-Wall -L/usr/local/lib -Llib -liconv_hook

%install
  mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf.d
  cp %{SOURCE2} $RPM_BUILD_ROOT/etc/httpd/conf.d/
  mkdir -p $RPM_BUILD_ROOT/usr/lib/httpd/modules
  cd $RPM_BUILD_ROOT/%{name}-%{mod_encoding_version}
  install -m 644 mod_encoding.so $RPM_BUILD_ROOT/usr/lib/httpd/modules/mod_encoding.so

%clean
  rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/lib/httpd/modules/mod_encoding.so
%config(noreplace) /etc/httpd/conf.d/mod_encoding.conf

%changelog
* Sat May 20 2006 oyaji <oyaji@mail.aconus.com>
- 2.2.0-1 releas.

